AnsweredAssumed Answered

BA Server 8.2 with Java 10

Question asked by Diego Salan on Feb 25, 2019
Latest reply on Mar 6, 2019 by Diego Salan

Hey folks, I recently upgraded from pentaho BA 7.0 to 8.2; on the previous version I had java 10 for BA due to compatibility with automated mails, on my new installation it runs with java 8 as default and I've been struggling to change it to java 10 but it gives me a bunch of errors. I'm guessing the path of the java needs to be set up at start-pentaho.sh, I have also changed the values for the environment variables at /etc/environment but it trows the exact same errors. Does anyone here had some related issue? Any help would be great...thanks.

 

Find attached the catalina.out with my last try, for what I had on my previous version (7.0) the apache.felix errors are mainly because PDI only support java 8, but not quite sure how to link the BA server to java 10, I have also made the  same test with java 11 getting the exact same results.

Attachments

Outcomes